Bug 451267 - Plasma crashed in WorkspaceScripting::Applet::writeConfig() after changing wallpaper using context menu item
Summary: Plasma crashed in WorkspaceScripting::Applet::writeConfig() after changing wa...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-crash (show other bugs)
Version: 5.24.2
Platform: Neon Packages Linux
: NOR crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 452001 452632 453436 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-03-08 04:15 UTC by Cristiano Kieling
Modified: 2022-05-09 15:32 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.94


Attachments
New crash information added by DrKonqi (30.02 KB, text/plain)
2022-05-03 16:48 UTC, Christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cristiano Kieling 2022-03-08 04:15:11 UTC
Application: plasmashell (5.24.2)

Qt Version: 5.15.3
Frameworks Version: 5.91.0
Operating System: Linux 5.13.0-32-generic x86_64
Windowing System: X11
Distribution: KDE neon User - 5.24
DrKonqi: 5.24.2 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:

Plasma crash after changing wallpaper. The wallpaper change process was not done through the system settings, but through the dolphining itself (right click > set as wallpaper).

The reporter is unsure if this crash is reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault

[New LWP 1227]
[New LWP 1239]
[New LWP 1313]
[New LWP 1389]
[New LWP 1392]
[New LWP 1393]
[New LWP 1412]
[New LWP 1414]
[New LWP 1415]
[New LWP 1419]
[New LWP 1420]
[New LWP 1422]
[New LWP 1423]
[New LWP 1763]
[New LWP 1764]
[New LWP 1811]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f6d193c59cf in __GI___poll (fds=0x7fffea059fb8, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
__preamble__
____drkonqi_qmltrace_thread:1____
Failed to do pygdbmi parsing: No module named 'pygdbmi'
frame={level="0",func="%entry",file="",fullname="",line="1",language="js"}
---------------------------------
(beware that frames may have been optimized out)

[Current thread is 1 (Thread 0x7f6d155184c0 (LWP 1199))]

Thread 17 (Thread 0x7f6c90937700 (LWP 1811)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f6cc0013870) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f6cc0013820, cond=0x7f6cc0013848) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f6cc0013848, mutex=0x7f6cc0013820) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f6c921c7700 (LWP 1764)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56460433af74) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56460433af20, cond=0x56460433af48) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56460433af48, mutex=0x56460433af20) at pthread_cond_wait.c:638
#3  0x00007f6d1975b6db in QWaitConditionPrivate::wait (deadline=..., this=0x56460433af20) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x56460256ebc0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f6d1b3cfc44 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#6  0x00007f6d1b3d00b9 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x56460256eb20) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f6c929c8700 (LWP 1763)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564603fb5004) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564603fb4fb0, cond=0x564603fb4fd8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564603fb4fd8, mutex=0x564603fb4fb0) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f6c93fef700 (LWP 1423)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564602c3dac4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564602c3da70, cond=0x564602c3da98) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564602c3da98, mutex=0x564602c3da70) at pthread_cond_wait.c:638
#3  0x00007f6d1975b6db in QWaitConditionPrivate::wait (deadline=..., this=0x564602c3da70) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x5646035c8420, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f6d1b3cfc44 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#6  0x00007f6d1b3d00b9 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x5646035c8380) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f6cbc8a0700 (LWP 1422)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5646035ed964) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5646035ed910, cond=0x5646035ed938) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5646035ed938, mutex=0x5646035ed910) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f6cbd5cf700 (LWP 1420)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564602b88e14) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564602b88dc0, cond=0x564602b88de8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564602b88de8, mutex=0x564602b88dc0) at pthread_cond_wait.c:638
#3  0x00007f6d1975b6db in QWaitConditionPrivate::wait (deadline=..., this=0x564602b88dc0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x56460256ac50, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f6d1b3cfc44 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#6  0x00007f6d1b3d00b9 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x56460256abb0) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f6cbe6cb700 (LWP 1419)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564603333ad0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564603333a80, cond=0x564603333aa8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564603333aa8, mutex=0x564603333a80) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f6cd5dfc700 (LWP 1415)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x56460262d1a0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x56460262d150, cond=0x56460262d178) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x56460262d178, mutex=0x56460262d150) at pthread_cond_wait.c:638
#3  0x00007f6d1975b6db in QWaitConditionPrivate::wait (deadline=..., this=0x56460262d150) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x5646015d0810, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f6d1b3cfc44 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#6  0x00007f6d1b3d00b9 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x5646015d0770) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f6cbef2f700 (LWP 1414)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564602a7a910) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564602a7a8c0, cond=0x564602a7a8e8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564602a7a8e8, mutex=0x564602a7a8c0) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f6cd6ffd700 (LWP 1412)):
#0  __GI___libc_read (nbytes=16, buf=0x7f6cd6ffc990, fd=42) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=42, buf=0x7f6cd6ffc990, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f6d17ca5b2f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6d17c5cebe in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6d17c5d312 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f6d17c5d4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f6d19996a0b in QEventDispatcherGlib::processEvents (this=0x7f6cb8011440, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f6d1993ac9b in QEventLoop::exec (this=this@entry=0x7f6cd6ffcba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007f6d19754362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007f6cbf7b207c in KCupsConnection::run() () from /lib/x86_64-linux-gnu/libkcupslib.so
#10 0x00007f6d19755543 in QThreadPrivate::start (arg=0x564602809650) at thread/qthread_unix.cpp:331
#11 0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f6cf134c700 (LWP 1393)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5646015cc200) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5646015cc1b0, cond=0x5646015cc1d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5646015cc1d8, mutex=0x5646015cc1b0) at pthread_cond_wait.c:638
#3  0x00007f6d1975b6db in QWaitConditionPrivate::wait (deadline=..., this=0x5646015cc1b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x7f6d08005520, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f6d1b3cfc44 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#6  0x00007f6d1b3d00b9 in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x7f6d08005480) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f6cf29f1700 (LWP 1392)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x564601ffc680) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564601ffc630, cond=0x564601ffc658) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x564601ffc658, mutex=0x564601ffc630) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f6d013cf700 (LWP 1389)):
#0  __GI___libc_read (nbytes=16, buf=0x7f6d013ce990, fd=19) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=19, buf=0x7f6d013ce990, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f6d17ca5b2f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6d17c5cebe in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6d17c5d312 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f6d17c5d4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f6d19996a0b in QEventDispatcherGlib::processEvents (this=0x7f6cf800f7b0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f6d1993ac9b in QEventLoop::exec (this=this@entry=0x7f6d013ceba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007f6d19754362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007f6d1b30a40a in ?? () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#10 0x00007f6d19755543 in QThreadPrivate::start (arg=0x564601c73be0) at thread/qthread_unix.cpp:331
#11 0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f6d0ca7a700 (LWP 1313)):
#0  0x00007f6d17caa508 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f6d17c5cf3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6d17c5d400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6d17c5d4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6d19996a0b in QEventDispatcherGlib::processEvents (this=0x7f6cf4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f6d1993ac9b in QEventLoop::exec (this=this@entry=0x7f6d0ca79bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f6d19754362 in QThread::exec (this=this@entry=0x56460187cf00) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f6d1af70569 in QQmlThreadPrivate::run (this=0x56460187cf00) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f6d19755543 in QThreadPrivate::start (arg=0x56460187cf00) at thread/qthread_unix.cpp:331
#9  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f6d0d2bb700 (LWP 1239)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5646015676c8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x564601567678, cond=0x5646015676a0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5646015676a0, mutex=0x564601567678) at pthread_cond_wait.c:638
#3  0x00007f6d0d7ee5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007f6d0d7ee1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f6d0fce3700 (LWP 1227)):
#0  0x00007f6d193c59cf in __GI___poll (fds=0x7f6d08015530, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f6d17c5d36e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6d17c5d4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6d19996a0b in QEventDispatcherGlib::processEvents (this=0x7f6d08000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f6d1993ac9b in QEventLoop::exec (this=this@entry=0x7f6d0fce2bb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f6d19754362 in QThread::exec (this=this@entry=0x7f6d1a34fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f6d1a2cbf4b in QDBusConnectionManager::run (this=0x7f6d1a34fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007f6d19755543 in QThreadPrivate::start (arg=0x7f6d1a34fd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#8  0x00007f6d19238609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f6d193d2163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f6d155184c0 (LWP 1199)):
[KCrash Handler]
#4  0x0000564602ce95a0 in ?? ()
#5  0x00007f6d1994529e in QMetaObject::cast (this=this@entry=0x7f6d19bcfae0 <QObject::staticMetaObject>, obj=0x564602956810) at kernel/qmetaobject.cpp:382
#6  0x00007f6d199452d9 in QMetaObject::cast (this=this@entry=0x7f6d19bcfae0 <QObject::staticMetaObject>, obj=<optimized out>) at kernel/qmetaobject.cpp:371
#7  0x0000564600845c06 in qobject_cast<QObject*> (object=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:519
#8  QtPrivate::QVariantValueHelper<QObject*>::object (v=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:753
#9  QtPrivate::ObjectInvoker<QtPrivate::QVariantValueHelper<QObject*>, QVariant const&, QObject*>::invoke (a=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:107
#10 qvariant_cast<QObject*> (v=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:879
#11 QVariant::value<QObject*> (this=0x7fffea05b360) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:367
#12 WorkspaceScripting::Applet::writeConfig (this=0x564605444b10, key=..., value=...) at ./shell/scripting/applet.cpp:108
#13 0x0000564600801f21 in WorkspaceScripting::Applet::qt_static_metacall (_o=_o@entry=0x564605444b10, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=2, _a=_a@entry=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:103
#14 0x0000564600804a43 in WorkspaceScripting::Applet::qt_metacall (this=this@entry=0x564605444b10, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=2, _a=_a@entry=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:197
#15 0x0000564600804a6a in WorkspaceScripting::Containment::qt_metacall (this=0x564605444b10, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_containment.cpp:303
#16 0x00007f6d1af03bf5 in QQmlObjectOrGadget::metacall (this=this@entry=0x7fffea05b8e0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=7, argv=<optimized out>) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#17 0x00007f6d1adcc785 in CallMethod (object=..., index=<optimized out>, returnType=returnType@entry=43, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x5646055f1bc0, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1300
#18 0x00007f6d1adce887 in CallPrecise (object=..., data=..., engine=engine@entry=0x5646055f1bc0, callArgs=callArgs@entry=0x7f6ce893f588, callType=callType@entry=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#19 0x00007f6d1adcf77a in QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=2) at jsruntime/qv4qobjectwrapper.cpp:2130
#20 0x00007f6d1ae05eba in QV4::FunctionObject::call (argc=2, argv=0x7f6ce893f528, thisObject=0x7f6ce893f510, this=<optimized out>) at jsruntime/qv4functionobject_p.h:172
#21 QV4::Runtime::CallProperty::call (engine=0x5646055f1bc0, baseRef=..., nameIndex=<optimized out>, argv=0x7f6ce893f528, argc=2) at jsruntime/qv4runtime.cpp:1448
#22 0x00007f6d1adec14f in QV4::Moth::VME::interpret (frame=0x7fffea05bc90, engine=0x5646055f1bc0, code=0x564601804820 "\030\006*\003r\030\bx0\003RH\224\374\026\006\002") at jsruntime/qv4vme_moth.cpp:727
#23 0x00007f6d1adf112f in QV4::Moth::VME::exec (frame=frame@entry=0x7fffea05bc90, engine=engine@entry=0x5646055f1bc0) at jsruntime/qv4vme_moth.cpp:463
#24 0x00007f6d1ad7e2ed in QV4::Function::call (this=<optimized out>, thisObject=<optimized out>, argv=argv@entry=0x0, argc=argc@entry=0, context=<optimized out>) at jsruntime/qv4function.cpp:69
#25 0x00007f6d1adbfbfc in QV4::Script::run (this=this@entry=0x7fffea05bd70, thisObject=thisObject@entry=0x0) at jsruntime/qv4script.cpp:162
#26 0x00007f6d1ad2b6ca in QJSEngine::evaluate (this=this@entry=0x7fffea05bf50, program=..., fileName=..., lineNumber=lineNumber@entry=1) at jsapi/qjsengine.cpp:545
#27 0x000056460084c393 in WorkspaceScripting::ScriptEngine::evaluateScript (this=this@entry=0x7fffea05bf50, script=..., path=...) at ./shell/scripting/scriptengine.cpp:244
#28 0x000056460083375b in ShellCorona::evaluateScript (this=0x56460155d830, script=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:257
#29 0x0000564600856787 in PlasmaShellAdaptor::evaluateScript (script=..., this=0x56460170d4d0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:425
#30 PlasmaShellAdaptor::qt_static_metacall (_o=_o@entry=0x56460170d4d0, _id=_id@entry=2, _a=_a@entry=0x7fffea05c100, _c=QMetaObject::InvokeMetaMethod) at ./obj-x86_64-linux-gnu/shell/plasmashelladaptor.moc:134
#31 0x0000564600856cc1 in PlasmaShellAdaptor::qt_static_metacall (_a=0x7fffea05c100, _id=2, _c=QMetaObject::InvokeMetaMethod, _o=0x56460170d4d0) at ./obj-x86_64-linux-gnu/shell/plasmashelladaptor.moc:197
#32 PlasmaShellAdaptor::qt_metacall (this=0x56460170d4d0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fffea05c100) at ./obj-x86_64-linux-gnu/shell/plasmashelladaptor.moc:197
#33 0x00007f6d1a2d854b in QDBusConnectionPrivate::deliverCall (this=<optimized out>, object=<optimized out>, msg=..., metaTypes=..., slotIdx=<optimized out>) at qdbusintegrator.cpp:1001
#34 0x00007f6d1a2ddbcf in QDBusConnectionPrivate::activateCall (this=this@entry=0x7f6d08003a00, object=0x56460170d4d0, flags=flags@entry=273, msg=...) at qdbusintegrator.cpp:911
#35 0x00007f6d1a2de27e in QDBusConnectionPrivate::activateCall (msg=..., flags=273, object=<optimized out>, this=0x7f6d08003a00) at qdbusintegrator.cpp:853
#36 QDBusConnectionPrivate::activateObject (pathStartPos=<optimized out>, msg=..., node=..., this=0x7f6d08003a00) at qdbusintegrator.cpp:1497
#37 QDBusConnectionPrivate::activateObject (this=0x7f6d08003a00, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1447
#38 0x00007f6d1a2e100c in QDBusActivateObjectEvent::placeMetaCall (this=0x564605afdd60) at qdbusintegrator.cpp:1617
#39 0x00007f6d19969d39 in QObject::event (this=0x56460155d830, e=0x564605afdd60) at kernel/qobject.cpp:1314
#40 0x00007f6d1a651dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x5646014a1700, receiver=receiver@entry=0x56460155d830, e=e@entry=0x564605afdd60) at kernel/qapplication.cpp:3632
#41 0x00007f6d1a65abb8 in QApplication::notify (this=0x7fffea05c9a0, receiver=0x56460155d830, e=0x564605afdd60) at kernel/qapplication.cpp:3156
#42 0x00007f6d1993c19a in QCoreApplication::notifyInternal2 (receiver=0x56460155d830, event=0x564605afdd60) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#43 0x00007f6d1993eaa1 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x56460147aef0) at kernel/qcoreapplication.cpp:1821
#44 0x00007f6d19997397 in postEventSourceDispatch (s=0x564601560300) at kernel/qeventdispatcher_glib.cpp:277
#45 0x00007f6d17c5d17d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f6d17c5d400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f6d17c5d4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007f6d199969f2 in QEventDispatcherGlib::processEvents (this=0x5646015654d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#49 0x00007f6d1993ac9b in QEventLoop::exec (this=this@entry=0x7fffea05c880, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#50 0x00007f6d19942e44 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#51 0x00005646007fed95 in main (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:238
[Inferior 1 (process 1199) detached]

Possible duplicates by query: bug 451181, bug 450989, bug 450900, bug 450879, bug 450809.

Reported using DrKonqi
Comment 1 Nate Graham 2022-03-22 15:53:35 UTC
#12 WorkspaceScripting::Applet::writeConfig (this=0x564605444b10, key=..., value=...) at ./shell/scripting/applet.cpp:108
#13 0x0000564600801f21 in WorkspaceScripting::Applet::qt_static_metacall (_o=_o@entry=0x564605444b10, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=2, _a=_a@entry=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:103
#14 0x0000564600804a43 in WorkspaceScripting::Applet::qt_metacall (this=this@entry=0x564605444b10, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=2, _a=_a@entry=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:197
#15 0x0000564600804a6a in WorkspaceScripting::Containment::qt_metacall (this=0x564605444b10, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffea05b5a0) at ./obj-x86_64-linux-gnu/shell/plasmashell_autogen/7KDSW62DQT/moc_containment.cpp:303

Fushan, would you mind taking a look when you have some time? Thanks!
Comment 2 Fushan Wen 2022-03-22 16:01:12 UTC
After seeing the bug and trying to reproduce it, plasmashell crashed for the first time. Second time is good.
Comment 3 Fushan Wen 2022-03-22 16:04:02 UTC
(gdb) bt
#0  __GI___pthread_sigmask (how=1, newmask=<optimized out>, oldmask=0x0) at pthread_sigmask.c:43
#1  0x00007f576aa465ed in __GI___sigprocmask (how=<optimized out>, set=<optimized out>, oset=<optimized out>)
    at ../sysdeps/unix/sysv/linux/sigprocmask.c:25
#2  0x00007f576d74284b in KCrash::setCrashHandler(void (*)(int)) (handler=handler@entry=0x0)
    at /usr/src/debug/kcrash-5.93.0git.20220320T195329~a9fb4b5-ku.2.1.x86_64/src/kcrash.cpp:417
#3  0x00007f576d744d2e in KCrash::defaultCrashHandler(int) (sig=11)
    at /usr/src/debug/kcrash-5.93.0git.20220320T195329~a9fb4b5-ku.2.1.x86_64/src/kcrash.cpp:623
#4  0x00007f576aa463d0 in <signal handler called> () at /lib64/libc.so.6
#5  0x00007f576b21d898 in QMetaObject::cast(QObject const*) const (this=0x7f576b4e1a60 <QObject::staticMetaObject>, obj=0x1a11f30)
    at kernel/qmetaobject.cpp:382
#6  0x00000000004354dc in qobject_cast<QObject*>(QObject*) (object=0x1a11f30) at /usr/include/qt5/QtCore/qobject.h:524
#7  0x00000000004353c1 in QtPrivate::QVariantValueHelper<QObject*>::object(QVariant const&) (v=...)
    at /usr/include/qt5/QtCore/qvariant.h:753
#8  0x000000000043526d in QtPrivate::ObjectInvoker<QtPrivate::QVariantValueHelper<QObject*>, QVariant const&, QObject*>::invoke(QVariant const&) (a=...) at /usr/include/qt5/QtCore/qvariant.h:107
#9  0x0000000000434f3e in qvariant_cast<QObject*>(QVariant const&) (v=...) at /usr/include/qt5/QtCore/qvariant.h:879
#10 0x0000000000434874 in QVariant::value<QObject*>() const (this=0x7ffc8f365500) at /usr/include/qt5/QtCore/qvariant.h:367
#11 0x000000000049a246 in WorkspaceScripting::Applet::writeConfig(QString const&, QJSValue const&)
    (this=0x611fc00, key=..., value=...) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/shell/scripting/applet.cpp:108
#12 0x00000000004238fe in WorkspaceScripting::Applet::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)
    (_o=0x611fc00, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffc8f365830)
    at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:103
#13 0x0000000000423d9b in WorkspaceScripting::Applet::qt_metacall(QMetaObject::Call, int, void**)
    (this=0x611fc00, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffc8f365830)
    at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashell_autogen/7KDSW62DQT/moc_applet.cpp:197
#14 0x000000000042557a in WorkspaceScripting::Containment::qt_metacall(QMetaObject::Call, int, void**)
    (this=0x611fc00, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0x7ffc8f365830)
    at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashell_autogen/7KDSW62DQT/moc_containment.cpp:303
#15 0x00007f576cdbf1cd in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const
    (this=this@entry=0x7ffc8f365ac0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, 
    index@entry=7, argv=<optimized out>)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/qml/qqmlobjectorgadget.cpp:51
#16 0x00007f576cc9e1f0 in CallMethod
    (callType=<optimized out>, callArgs=0x475, engine=<optimized out>, argTypes=<optimized out>, argCount=<optimized out>, returnType=<optimized out>, index=<optimized out>, object=...) at /usr/include/qt5/QtCore/qvarlengtharray.h:189
#17 CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call)
    (object=..., data=<optimized out>, engine=engine@entry=
    0x9b92e0, callArgs=callArgs@entry=0x7f56fd904588, callType=callType@entry=QMetaObject::InvokeMetaMethod)
    at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1569
#18 0x00007f576cc9ffdb in CallOverloaded
--Type <RET> for more, q to quit, c to continue without paging--c
    (callType=<optimized out>, propertyCache=<optimized out>, callArgs=<optimized out>, engine=<optimized out>, data=<optimized out>, object=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1645
#19 QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:2133
#20 0x00007f576ccd44e2 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=2, argv=0x7f56fd904528, thisObject=0x7f56fd904510, this=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4functionobject_p.h:202
#21 QV4::Runtime::CallProperty::call(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value*, int) (engine=0x9b92e0, baseRef=<optimized out>, nameIndex=<optimized out>, argv=0x7f56fd904528, argc=2) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4runtime.cpp:1448
#22 0x00007f576ccbbf9a in QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffc8f365e40, engine=0x9b92e0, code=0x7eee1c0 "\030\006*\003r\030\bx0\003RH\224\374\026\006\002") at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:351
#23 0x00007f576ccbf917 in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffc8f365e40, engine=engine@entry=0x9b92e0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#24 0x00007f576cc52d3e in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=<optimized out>, thisObject=<optimized out>, argv=argv@entry=0x0, argc=argc@entry=0, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4function.cpp:69
#25 0x00007f576cc9169c in QV4::Script::run(QV4::Value const*) (this=this@entry=0x7ffc8f365f20, thisObject=thisObject@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsruntime/qv4script.cpp:162
#26 0x00007f576cc09e12 in QJSEngine::evaluate(QString const&, QString const&, int) (this=<optimized out>, program=..., fileName=<optimized out>, lineNumber=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-ku.1.1.x86_64/src/qml/jsapi/qjsengine.cpp:545
#27 0x00000000004a191e in WorkspaceScripting::ScriptEngine::evaluateScript(QString const&, QString const&) (this=0x7ffc8f3660b0, script=..., path=...) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/shell/scripting/scriptengine.cpp:244
#28 0x000000000045f95a in ShellCorona::evaluateScript(QString const&) (this=0xb04ac0, script=...) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/shell/shellcorona.cpp:1447
#29 0x00000000004ac208 in PlasmaShellAdaptor::evaluateScript(QString const&) (this=0xc67d60, script=...) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashelladaptor.cpp:63
#30 0x00000000004ac3d7 in PlasmaShellAdaptor::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0xc67d60, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffc8f366320) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashelladaptor.moc:134
#31 0x00000000004ac605 in PlasmaShellAdaptor::qt_metacall(QMetaObject::Call, int, void**) (this=0xc67d60, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7ffc8f366320) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/build/shell/plasmashelladaptor.moc:197
#32 0x00007f576bd416ab in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) (this=<optimized out>, object=<optimized out>, msg=<optimized out>, metaTypes=<optimized out>, slotIdx=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qvarlengtharray.h:189
#33 0x00007f576bd450dc in QDBusConnectionPrivate::activateCall(QObject*, int, QDBusMessage const&) (this=this@entry=0x7f5758006800, object=0xc67d60, flags=flags@entry=273, msg=...) at qdbusintegrator.cpp:904
#34 0x00007f576bd45ae9 in QDBusConnectionPrivate::activateCall(QObject*, int, QDBusMessage const&) (msg=..., flags=273, object=<optimized out>, this=0x7f5758006800) at qdbusintegrator.cpp:853
#35 QDBusConnectionPrivate::activateObject(QDBusConnectionPrivate::ObjectTreeNode&, QDBusMessage const&, int) (this=0x7f5758006800, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1497
#36 0x00007f576bd47e88 in QDBusActivateObjectEvent::placeMetaCall(QObject*) (this=0x7d25cf0) at qdbusintegrator.cpp:1617
#37 0x00007f576b2414ae in QObject::event(QEvent*) (this=0xb04ac0, e=0x7d25cf0) at kernel/qobject.cpp:1314
#38 0x00007f576bfb4a7f in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0xb04ac0, e=0x7d25cf0) at kernel/qapplication.cpp:3632
#39 0x00007f576b214e3a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0xb04ac0, event=0x7d25cf0) at kernel/qcoreapplication.cpp:1064
#40 0x00007f576b217e77 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x8d4a90) at kernel/qcoreapplication.cpp:1821
#41 0x00007f576b26cd03 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=s@entry=0xa510d0) at kernel/qeventdispatcher_glib.cpp:277
#42 0x00007f57696efe22 in g_main_dispatch (context=0x7f5760005010) at ../glib/gmain.c:3381
#43 g_main_context_dispatch (context=0x7f5760005010) at ../glib/gmain.c:4099
#44 0x00007f57696f01b8 in g_main_context_iterate (context=context@entry=0x7f5760005010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4175
#45 0x00007f57696f026f in g_main_context_iteration (context=0x7f5760005010, may_block=1) at ../glib/gmain.c:4240
#46 0x00007f576b26c384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0xa65210, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#47 0x00007f576b21383b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc8f366900, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#48 0x00007f576b21bb10 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#49 0x0000000000431014 in main(int, char**) (argc=2, argv=0x7ffc8f366e98) at /mnt/data/home/qydw/Develop/KDE/Plasma/plasma-workspace/shell/main.cpp:243
Comment 4 Nate Graham 2022-03-28 21:51:48 UTC
*** Bug 452001 has been marked as a duplicate of this bug. ***
Comment 5 Nate Graham 2022-04-18 15:50:41 UTC
*** Bug 452632 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2022-04-22 00:29:10 UTC
Git commit 76dd5f333d0abfcde46697088b0d533d6c5d79e4 by Nate Graham, on behalf of Jakub Nowak.
Committed on 22/04/2022 at 00:29.
Pushed by ngraham into branch 'master'.

Fix use-after-free in ContainmentInterface

The object in property "wallpaperGraphicsObject" isn't cleared after being freed.
This causes use-after-free in WorkspaceScripting::Applet::writeConfig at
https://invent.kde.org/plasma/plasma-workspace/-/blob/master/shell/scripting/applet.cpp#L108.
FIXED-IN: 5.94

M  +9    -4    src/scriptengines/qml/plasmoid/containmentinterface.cpp
M  +1    -0    src/scriptengines/qml/plasmoid/containmentinterface.h

https://invent.kde.org/frameworks/plasma-framework/commit/76dd5f333d0abfcde46697088b0d533d6c5d79e4
Comment 7 Christian 2022-05-03 16:48:53 UTC
Created attachment 148540 [details]
New crash information added by DrKonqi

plasmashell (5.24.4) using Qt 5.15.3

- What I was doing when the application crashed:

I changed the wallpaper through Dolphin.

- Unusual behavior I noticed:

I changed the wallpaper through Dolphin because I couldn't open the context menu on my main screen. This happens when connected to my Dell D600 dock with the latest DisplayLink driver installed.

-- Backtrace (Reduced):
#6  0x0000563d5daf5006 in qobject_cast<QObject*> (object=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:519
#7  QtPrivate::QVariantValueHelper<QObject*>::object (v=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:753
#8  QtPrivate::ObjectInvoker<QtPrivate::QVariantValueHelper<QObject*>, QVariant const&, QObject*>::invoke (a=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:107
#9  qvariant_cast<QObject*> (v=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:879
#10 QVariant::value<QObject*> (this=0x7fffbb878a70) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:367
Comment 8 Nate Graham 2022-05-09 15:32:58 UTC
*** Bug 453436 has been marked as a duplicate of this bug. ***